--- include/class.support.php	2009-01-18 23:08:52.000000000 +0200
+++ /usr/share/eventum/include/class.support.php	2009-02-05 02:15:18.663988299 +0200
@@ -2133,7 +2119,7 @@
                 // add the message body as a note
                 $_POST['full_message'] = $full_email;
                 $_POST['title'] = $_POST["subject"];
-                $_POST['note'] = Mail_API::getCannedBlockedMsgExplanation() . $_POST["message"];
+                $_POST['note'] = Mail_Helper::getCannedBlockedMsgExplanation() . $_POST["message"];
                 Note::insert(Auth::getUserID(), $_POST["issue_id"], false, true, false, true, true);
                 Workflow::handleBlockedEmail(Issue::getProjectID($_POST['issue_id']), $_POST['issue_id'], $_POST, 'web');
                 return 1;
@@ -2148,7 +2134,7 @@
                 $recipients = array_merge($recipients, Support::getRecipientsCC($_POST['cc']));
                 for ($i = 0; $i < count($recipients); $i++) {
                     if ((!empty($recipients[$i])) && (!Notification::isIssueRoutingSender($_POST["issue_id"], $recipients[$i]))) {
-                        Notification::subscribeEmail(Auth::getUserID(), $_POST["issue_id"], Mail_API::getEmailAddress($recipients[$i]),
+                        Notification::subscribeEmail(Auth::getUserID(), $_POST["issue_id"], Mail_Helper::getEmailAddress($recipients[$i]),
                                         Notification::getDefaultActions($_POST['issue_id'], $recipients[$i], 'add_unknown_user'));
                     }
                 }
@@ -2190,7 +2176,7 @@
                 $project_info = Project::getOutgoingSenderAddress(Auth::getCurrentProject());
                 // use the project-related outgoing email address, if there is one
                 if (!empty($project_info['email'])) {
-                    $from = Mail_API::getFormattedName(User::getFullName(Auth::getUserID()), $project_info['email']);
+                    $from = Mail_Helper::getFormattedName(User::getFullName(Auth::getUserID()), $project_info['email']);
                 } else {
                     // otherwise, use the real email address for the current user
                     $from = User::getFromHeader(Auth::getUserID());
@@ -2206,7 +2192,7 @@
             'issue_id'       => $_POST["issue_id"] ? $_POST["issue_id"] : 0,
             'ema_id'         => $_POST['ema_id'],
             'message_id'     => $message_id,
-            'date'           => Date_API::getCurrentDateGMT(),
+            'date'           => Date_Helper::getCurrentDateGMT(),
             'from'           => $_POST['from'],
             'to'             => $_POST['to'],
             'cc'             => @$_POST['cc'],
@@ -2267,7 +2253,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "support_email
                  WHERE
                     sup_id=" . Misc::escapeInteger($sup_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -2293,7 +2279,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "support_email
                  WHERE
                     sup_message_id='" . Misc::escapeString($message_id) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -2323,7 +2309,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "support_email
                  WHERE
                     sup_message_id='" . Misc::escapeString($message_id) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -2349,7 +2335,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "support_email
                  WHERE
                     sup_id=" . Misc::escapeInteger($sup_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -2376,7 +2362,7 @@
                 WHERE
                     parent.sup_id = child.sup_parent_id AND
                     child.sup_message_id = '" . Misc::escapeString($msg_id) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -2419,7 +2405,7 @@
         } else {
             $stmt .= "= 0";
         }
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -2449,7 +2435,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
                  WHERE
                     ema_id = " . Misc::escapeInteger($ema_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -2510,7 +2496,7 @@
                 WHERE
                     sup_id = " . Misc::escapeInteger($sup_id) . " AND
                     sup_ema_id = " . Misc::escapeInteger($current_ema_id);
-        $res = $GLOBALS["db_api"]->dbh->query($sql);
+        $res = Db_Helper::getInstance()->query($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -2568,19 +2554,19 @@
 
         $issue_id = $email['issue_id'];
         $prj_id = Issue::getProjectID($issue_id);
-        $sender_email = strtolower(Mail_API::getEmailAddress($email['from']));
+        $sender_email = strtolower(Mail_Helper::getEmailAddress($email['from']));
         list($text_headers, $body) = Mime_Helper::splitHeaderBody($email['full_email']);
-        if ((Mail_API::isVacationAutoResponder($email['headers'])) || (Notification::isBounceMessage($sender_email)) ||
+        if ((Mail_Helper::isVacationAutoResponder($email['headers'])) || (Notification::isBounceMessage($sender_email)) ||
                 (!Support::isAllowedToEmail($issue_id, $sender_email))) {
             // add the message body as a note
             $_POST = array(
                 'full_message'=> $email['full_email'],
                 'title'       => @$email['headers']['subject'],
-                'note'        => Mail_API::getCannedBlockedMsgExplanation($issue_id) . $email['body'],
-                'message_id'  => Mail_API::getMessageID($text_headers, $body),
+                'note'        => Mail_Helper::getCannedBlockedMsgExplanation($issue_id) . $email['body'],
+                'message_id'  => Mail_Helper::getMessageID($text_headers, $body),
             );
             // avoid having this type of message re-open the issue
-            if (Mail_API::isVacationAutoResponder($email['headers'])) {
+            if (Mail_Helper::isVacationAutoResponder($email['headers'])) {
                 $closing = true;
                 $notify = false;
             } else {
@@ -2597,7 +2583,7 @@
             $_POST['from'] = $sender_email;
 
             // avoid having this type of message re-open the issue
-            if (Mail_API::isVacationAutoResponder($email['headers'])) {
+            if (Mail_Helper::isVacationAutoResponder($email['headers'])) {
                 $email_type = 'vacation-autoresponder';
             } else {
                 $email_type = 'routed';
@@ -2605,7 +2591,7 @@
             Workflow::handleBlockedEmail($prj_id, $issue_id, $_POST, $email_type);
 
             // try to get usr_id of sender, if not, use system account
-            $usr_id = User::getUserIDByEmail(Mail_API::getEmailAddress($email['from']), true);
+            $usr_id = User::getUserIDByEmail(Mail_Helper::getEmailAddress($email['from']), true);
             if (!$usr_id) {
                 $usr_id = APP_SYSTEM_USER_ID;
             }
@@ -2632,11 +2618,11 @@
         array_push($addresses_not_too_add, $project_details['prj_outgoing_sender_email']);
 
         $addresses = array();
-        $to_addresses = Mail_API::getEmailAddresses(@$email['to']);
+        $to_addresses = Mail_Helper::getEmailAddresses(@$email['to']);
         if (count($to_addresses)) {
             $addresses = $to_addresses;
         }
-        $cc_addresses = Mail_API::getEmailAddresses(@$email['cc']);
+        $cc_addresses = Mail_Helper::getEmailAddresses(@$email['cc']);
         if (count($cc_addresses)) {
             $addresses = array_merge($addresses, $cc_addresses);
         }
--- include/class.time_tracking.php	2009-01-12 23:15:12.055441962 +0200
+++ /usr/share/eventum/include/class.time_tracking.php	2009-02-05 02:04:13.644067122 +0200
@@ -29,14 +29,6 @@
 // @(#) $Id: class.time_tracking.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.validation.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
 
 /**
  * Class to handle the business logic related to the administration
@@ -63,7 +55,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking_category
                  WHERE
                     ttc_title='" . Misc::escapeString($ttc_title) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -88,7 +80,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking_category
                  WHERE
                     ttc_id=" . Misc::escapeInteger($ttc_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -111,7 +103,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking_category
                  WHERE
                     ttc_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -138,7 +130,7 @@
                     ttc_title='" . Misc::escapeString($_POST["title"]) . "'
                  WHERE
                     ttc_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -166,9 +158,9 @@
                     ttc_created_date
                  ) VALUES (
                     '" . Misc::escapeString($_POST["title"]) . "',
-                    '" . Date_API::getCurrentDateGMT() . "'
+                    '" . Date_Helper::getCurrentDateGMT() . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -196,7 +188,7 @@
                     ttc_title NOT IN ('Note Discussion', 'Email Discussion', 'Telephone Discussion')
                  ORDER BY
                     ttc_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -222,7 +214,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking_category
                  ORDER BY
                     ttc_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -258,7 +250,7 @@
                     ttr_iss_id IN ($ids)
                  GROUP BY
                     ttr_iss_id";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
         } else {
@@ -284,7 +276,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking
                  WHERE
                     ttr_iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -322,7 +314,7 @@
                     ttr_iss_id=" . Misc::escapeInteger($issue_id) . "
                  ORDER BY
                     ttr_created_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -331,7 +323,7 @@
             for ($i = 0; $i < count($res); $i++) {
                 $res[$i]["ttr_summary"] = Link_Filter::processText(Issue::getProjectID($issue_id), nl2br(htmlspecialchars($res[$i]["ttr_summary"])));
                 $res[$i]["formatted_time"] = Misc::getFormattedTime($res[$i]["ttr_time_spent"]);
-                $res[$i]["ttr_created_date"] = Date_API::getFormattedDate($res[$i]["ttr_created_date"]);
+                $res[$i]["ttr_created_date"] = Date_Helper::getFormattedDate($res[$i]["ttr_created_date"]);
 
                 $total_time_spent += $res[$i]["ttr_time_spent"];
             }
@@ -358,7 +350,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking
                  WHERE
                     ttr_iss_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -386,7 +378,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking
                  WHERE
                     ttr_id=$time_id";
-        $details = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $details = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         // check if the owner is the one trying to remove this entry
         if (($details['owner_usr_id'] != $usr_id) || (!Issue::canAccess($details['issue_id'], $usr_id))) {
             return -1;
@@ -396,7 +388,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking
                  WHERE
                     ttr_id=$time_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -424,9 +416,9 @@
                 $_POST["date"]["Day"], $_POST["date"]["Hour"],
                 $_POST["date"]["Minute"], 0);
             // convert the date to GMT timezone
-            $created_date = Date_API::convertDateGMT($created_date);
+            $created_date = Date_Helper::convertDateGMT($created_date);
         } else {
-            $created_date = Date_API::getCurrentDateGMT();
+            $created_date = Date_Helper::getCurrentDateGMT();
         }
         $usr_id = Auth::getUserID();
         $stmt = "INSERT INTO
@@ -446,7 +438,7 @@
                     " . Misc::escapeInteger($_POST["time_spent"]) . ",
                     '" . Misc::escapeString($_POST["summary"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -485,11 +477,11 @@
                     " . Misc::escapeInteger($cat_id) . ",
                     " . Misc::escapeInteger($issue_id) . ",
                     " . Misc::escapeInteger($usr_id) . ",
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     " . Misc::escapeInteger($time_spent) . ",
                     '" . Misc::escapeString($summary) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -529,7 +521,7 @@
                     ttr_created_date BETWEEN '" . Misc::escapeString($start) . "' AND '" . Misc::escapeString($end) . "'
                  GROUP BY
                     ttc_title";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt, false, array(), DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAssoc($stmt, false, array(), DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -564,7 +556,7 @@
                     ttr_usr_id = " . Misc::escapeInteger($usr_id) . " AND
                     ttr_created_date BETWEEN '" . Misc::escapeString($start) . "' AND '" . Misc::escapeString($end) . "' AND
                     ttr_iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -600,7 +592,7 @@
                     ttr_created_date BETWEEN '" . Misc::escapeString($start) . "' AND '" . Misc::escapeString($end) . "' AND
                     ttr_iss_id in ($ids)
                  GROUP BY ttr_iss_id";
-        $result = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $result = Db_Helper::getInstance()->getAssoc($stmt);
 
         if (PEAR::isError($result)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
